-- ------------ Write CREATE-TRIGGER-stage scripts -----------

CREATE TRIGGER check_valid_broker_account
BEFORE INSERT OR UPDATE
ON orcl.brokeraccount_lookup
FOR EACH ROW
EXECUTE PROCEDURE orcl.check_valid_broker_account$brokeraccount_lookup();



CREATE TRIGGER department_trg
AFTER INSERT OR UPDATE OR DELETE
ON orcl.department
FOR EACH ROW
EXECUTE PROCEDURE orcl.department_trg$department();



CREATE TRIGGER employee_trg
AFTER INSERT OR UPDATE OR DELETE
ON orcl.employee
FOR EACH ROW
EXECUTE PROCEDURE orcl.employee_trg$employee();



CREATE TRIGGER employee_old_trg
AFTER INSERT OR UPDATE OR DELETE
ON orcl.employee_old
FOR EACH ROW
EXECUTE PROCEDURE orcl.employee_old_trg$employee_old();



CREATE TRIGGER toad_plan_table_iud
INSTEAD OF INSERT OR UPDATE OR DELETE
ON orcl.toad_plan_table
FOR EACH ROW
EXECUTE PROCEDURE orcl.toad_plan_table_iud();



