-- ------------ Write CREATE-INDEX-stage scripts -----------

CREATE UNIQUE INDEX account_id_name
ON orcl.account
USING BTREE (accountid ASC, accountname ASC);



CREATE INDEX dob_idx
ON orcl.employee_old
USING BTREE (joining_date ASC, "COALESCE(date_of_birth, joining_date)" ASC);



CREATE INDEX employee_tbl_idx
ON orcl.employee_old
USING BTREE (emp_id ASC, email_id ASC, emp_name ASC, "CONCAT_WS()" ASC);



CREATE INDEX employee_trk_idx
ON orcl.employee_old
USING BTREE (emp_name ASC, "CONCAT_WS()" ASC);



CREATE INDEX name_idx
ON orcl.employee_old
USING BTREE ("UPPER(emp_name)" ASC);



